Index: modules/CscClusterEfficiency.cc
===================================================================
--- modules/CscClusterEfficiency.cc	(revision c6bce62f874f61c39d0664ecb1545b77006d597e)
+++ modules/CscClusterEfficiency.cc	(revision d1ab205da9b911e692e7fb2474f1c9effdce4853)
@@ -17,11 +17,12 @@
  */
 
-/** \class CscClusterEfficiency
- *
- *  Selects candidates from the InputArray according to the CscClusterEfficiency formula.
- *
- *  \author P. Demin - UCL, Louvain-la-Neuve
- *
- */
+ /** \class CscClusterEfficiency
+  *
+  *  This module is specific to the CMS paper searching for neutral LLPs in the CMS endcap muon detectors: https://arxiv.org/abs/2107.04838
+  *  It is implemented based on the ClusterEfficiency parameterization function provided in the HEPData entry of the paper: https://www.hepdata.net/record/104408
+  *
+  *  \author Christina Wang
+  *
+  */
 
 #include "modules/CscClusterEfficiency.h"
Index: modules/CscClusterEfficiency.h
===================================================================
--- modules/CscClusterEfficiency.h	(revision c6bce62f874f61c39d0664ecb1545b77006d597e)
+++ modules/CscClusterEfficiency.h	(revision d1ab205da9b911e692e7fb2474f1c9effdce4853)
@@ -20,12 +20,14 @@
 #define CscClusterEfficiency_h
 
+
+
 /** \class CscClusterEfficiency
  *
- *  Selects candidates from the InputArray according to the CscClusterEfficiency formula.
+ *  This module is specific to the CMS paper searching for neutral LLPs in the CMS endcap muon detectors: https://arxiv.org/abs/2107.04838
+ *  It is implemented based on the ClusterEfficiency parameterization function provided in the HEPData entry of the paper: https://www.hepdata.net/record/104408
  *
- *  \author P. Demin - UCL, Louvain-la-Neuve
+ *  \author Christina Wang
  *
  */
-
 #include "classes/DelphesModule.h"
 
Index: modules/CscClusterId.cc
===================================================================
--- modules/CscClusterId.cc	(revision c6bce62f874f61c39d0664ecb1545b77006d597e)
+++ modules/CscClusterId.cc	(revision d1ab205da9b911e692e7fb2474f1c9effdce4853)
@@ -17,11 +17,12 @@
  */
 
-/** \claCscClusterIdncy
- *
- *  Selects candidates from the InputArray according to the efficiency formula.
- *
- *  \author P. Demin - UCL, Louvain-la-Neuve
- *
- */
+ /** \class CscClusterId
+  *
+  *  This module is specific to the CMS paper searching for neutral LLPs in the CMS endcap muon detectors: https://arxiv.org/abs/2107.04838
+  *  It is implemented based on the cut_based_id.py function provided in the HEPData entry of the paper: https://www.hepdata.net/record/104408
+  *
+  *  \author Christina Wang
+  *
+  */
 
 #include "modules/CscClusterId.h"
Index: modules/CscClusterId.h
===================================================================
--- modules/CscClusterId.h	(revision c6bce62f874f61c39d0664ecb1545b77006d597e)
+++ modules/CscClusterId.h	(revision d1ab205da9b911e692e7fb2474f1c9effdce4853)
@@ -22,10 +22,10 @@
 /** \class CscClusterId
  *
- *  Selects candidates from the InputArray according to the CscClusterId formula.
+ *  This module is specific to the CMS paper searching for neutral LLPs in the CMS endcap muon detectors: https://arxiv.org/abs/2107.04838
+ *  It is implemented based on the cut_based_id.py function provided in the HEPData entry of the paper: https://www.hepdata.net/record/104408
  *
- *  \author P. Demin - UCL, Louvain-la-Neuve
+ *  \author Christina Wang
  *
  */
-
 #include "classes/DelphesModule.h"
 
Index: modules/LLPFilter.cc
===================================================================
--- modules/LLPFilter.cc	(revision c6bce62f874f61c39d0664ecb1545b77006d597e)
+++ modules/LLPFilter.cc	(revision d1ab205da9b911e692e7fb2474f1c9effdce4853)
@@ -19,7 +19,9 @@
 /** \class LLPFilter
  *
- *  Removes particles with specific PDG codes
- *
- *  \author M. Selvaggi
+ *  Filter LLPs with particular PDG ID/status and calculate the EM and hadronic energy of LLP based on decay particles
+ *  The classification of EM and hadronic energy of LLP is based on instructions from the HEPData entry for the CMS paper searching
+ *  for neutral LLPs in the CMS endcap muon detectors: https://www.hepdata.net/record/104408
+ *
+ *  \author Christina Wang
  *
  */
@@ -146,4 +148,5 @@
     const TLorentzVector &candidateProdPosition = candidate->Position;
     const TLorentzVector &candidateDecayPosition = candidate->DecayPosition;
+    // TLorentzVector candidateDecayPosition;
     pt = candidateMomentum.Pt();
     eta = candidateMomentum.Eta();
@@ -181,4 +184,6 @@
       if (tempCandidate->M1 == -1) continue;
 
+      // candidateDecayPosition = daughter->Position;
+
       if (abs(daughterPdg)==11 || abs(daughterPdg)==22 || abs(daughterPdg)==111)candidate->Eem += daughterMomentum.E();
       else candidate->Ehad += daughterMomentum.E();
Index: modules/LLPFilter.h
===================================================================
--- modules/LLPFilter.h	(revision c6bce62f874f61c39d0664ecb1545b77006d597e)
+++ modules/LLPFilter.h	(revision d1ab205da9b911e692e7fb2474f1c9effdce4853)
@@ -22,9 +22,12 @@
 #define LLPFilter_h
 
+
 /** \class LLPFilter
  *
- *  Removes particles with specific PDG codes
+ *  Filter LLPs with particular PDG ID/status and calculate the EM and hadronic energy of LLP based on decay particles
+ *  The classification of EM and hadronic energy of LLP is based on instructions from the HEPData entry for the CMS paper searching
+ *  for neutral LLPs in the CMS endcap muon detectors: https://www.hepdata.net/record/104408
  *
- *  \author M. Selvaggi
+ *  \author Christina Wang
  *
  */
